#ifndef ENGLISHCOLEMAKPLUGIN_H
#define ENGLISHCOLEMAKPLUGIN_H

#include <QObject>
#include "languageplugininterface.h"
#include "westernlanguagesplugin.h"

//#include <presage.h>

class EnglishColemakPlugin : public WesternLanguagesPlugin
{
    Q_OBJECT
    Q_INTERFACES(LanguagePluginInterface)
    Q_PLUGIN_METADATA(IID "org.qt-project.Qt.Examples.EnglishColemakPlugin" FILE "englishcolemakplugin.json")

public:
    explicit EnglishColemakPlugin(QObject* parent = 0)
        : WesternLanguagesPlugin(parent)
    {
    }

    virtual ~EnglishColemakPlugin()
    {
    }
};

#endif // ENGLISHCOLEMAKPLUGIN_H


